Bug 239249 - XEN DOM0 Kernel does not detect multiple processors
XEN DOM0 Kernel does not detect multiple processors
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-06 20:35 EDT by Sam Bingner
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 12:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages from xen bootup (75.21 KB, text/plain)
2007-05-06 20:35 EDT, Sam Bingner
no flags Details

  None (edit)
Description Sam Bingner 2007-05-06 20:35:07 EDT
Description of problem:
XEN DOM0 kernel does not detect all 4 processors in my system.  If I run "xm
vcpu-set 0 4" it causes a crash and a system freeze.

Version-Release number of selected component (if applicable): 2.6.20-2925.5.fc7xen


How reproducible:
1. Boot 2.6.20-2925.5.fc7xen with xen on a multi-processor system
2. To duplicate crash, run "xm vcpu-set 0 2"
 
Actual results:
Kernel sees a single processor

Expected results:
Kernel sees four processors (or however many are present)

Additional info: DMESG and crash message from attempted "xm vcpu-set 0 4" attached
Comment 1 Sam Bingner 2007-05-06 20:35:07 EDT
Created attachment 154235 [details]
messages from xen bootup
Comment 2 Chris Wright 2007-05-07 12:01:19 EDT
This has been fixed in BZ 238015 (there are a couple patches in that BZ if
you are eager to test it out), just hasn't made it into latest rawhide
yet.  I hadn't tested vcpu-set when I fixed SMP, but I'm sure it's from
the same source issue...Yes, just tested and vcpu-set works as expected
in a fixed kernel.

Note You need to log in before you can comment on or make changes to this bug.